[Overview][Constants][Types][Classes][Procedures and functions][Variables][Index] | Reference for unit 'Grids' (#lcl)

# TCustomGrid.AfterMoveSelection

Signals the OnAfterSelection event handler.

## Declaration

Source position: grids.pas line 980

`protected procedure TCustomGrid.AfterMoveSelection(`
`const prevCol: Integer;`
`const prevRow: Integer`
`); virtual;`

## Arguments

`prevCol` |  | Column number for the selection before it was moved.
`prevRow` |  | Row number for the selection before it was moved.

## Description

AfterMoveSelection is a procedure used to signal the OnAfterSelection event handler when has been assigned (does not contain Nil). Values in prevCol and prevRow are passed as arguments to the OnAfterSelection event handler.

AfterMoveSelection is called from the MoveExtend method when the move operation has been completed.

## See also

TCustomGrid.OnAfterSelection |  | Event handler signalled after a new Selection is made in the grid.
TCustomGrid.MoveExtend |  | Moves the selected cell or extends a selection using the specified column and row values.